Subject: bug#39099: 26.3; display-time delay after PC sleep

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Jan 2020 20:11:17 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 23 Jan 2020 15:39:33 +0100
> Cc: [email-masked]
> 
> I don't have access to a Windows machine so I'll leave investigating
> this further to someone else.

I don't think this is specific to Windows.  The underlying problem
here is that our timers are interval timers: the next time a timer
fires is set by adding the interval to the time it fires now.  So if
Emacs doesn't get CPU for a long time, it will start counting time
from the first moment it gets CPU again.